Package org.eclipse.graphiti.mm.algorithms.styles.impl

# Class TextStyleRegionImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.graphiti.mm.algorithms.styles.impl.TextStyleRegionImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `TextStyleRegion`

public class TextStyleRegionImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements TextStyleRegion
An implementation of the model object 'Text Style Region'.

The following features are implemented:

- `Start`
- `End`
- `Style`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`end`
The cached value of the '`End`' attribute.
`protected static final int`
`END_EDEFAULT`
The default value of the '`End`' attribute.
`protected int`
`start`
The cached value of the '`Start`' attribute.
`protected static final int`
`START_EDEFAULT`
The default value of the '`Start`' attribute.
`protected TextStyle`
`style`
The cached value of the '`Style`' containment reference.

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TextStyleRegionImpl()`

## Method Summary

Modifier and Type
Method
Description
`TextStyle`
`basicGetStyle()`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetStyle(TextStyle newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`protected org.eclipse.emf.ecore.EClass`
`eStaticClass()`
`void`
`eUnset(int featureID)`
`int`
`getEnd()`
`int`
`getStart()`
`TextStyle`
`getStyle()`
`void`
`setEnd(int newEnd)`
`void`
`setStart(int newStart)`
`void`
`setStyle(TextStyle newStyle)`
`String`
`toString()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### START_EDEFAULT

protected static final int START_EDEFAULT
The default value of the '`Start`' attribute.

See Also:
  - `getStart()`
  - Constant Field Values

### start

protected int start
The cached value of the '`Start`' attribute.

See Also:
  - `getStart()`

### END_EDEFAULT

protected static final int END_EDEFAULT
The default value of the '`End`' attribute.

See Also:
  - `getEnd()`
  - Constant Field Values

### end

protected int end
The cached value of the '`End`' attribute.

See Also:
  - `getEnd()`

### style

protected TextStyle style
The cached value of the '`Style`' containment reference.

See Also:
  - `getStyle()`

## Constructor Details

### TextStyleRegionImpl

protected TextStyleRegionImpl()

## Method Details

### eStaticClass

protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getStart

public int getStart()

Specified by:
  `getStart` in interface `TextStyleRegion`
Returns:
  the value of the 'Start' attribute.
See Also:
  - `TextStyleRegion.setStart(int)`
  - `StylesPackage.getTextStyleRegion_Start()`

### setStart

public void setStart(int newStart)

Specified by:
  `setStart` in interface `TextStyleRegion`
Parameters:
  `newStart` - the new value of the 'Start' attribute.
See Also:
  - `TextStyleRegion.getStart()`

### getEnd

public int getEnd()

Specified by:
  `getEnd` in interface `TextStyleRegion`
Returns:
  the value of the 'End' attribute.
See Also:
  - `TextStyleRegion.setEnd(int)`
  - `StylesPackage.getTextStyleRegion_End()`

### setEnd

public void setEnd(int newEnd)

Specified by:
  `setEnd` in interface `TextStyleRegion`
Parameters:
  `newEnd` - the new value of the 'End' attribute.
See Also:
  - `TextStyleRegion.getEnd()`

### getStyle

public TextStyle getStyle()

Specified by:
  `getStyle` in interface `TextStyleRegion`
Returns:
  the value of the 'Style' containment reference.
See Also:
  - `TextStyleRegion.setStyle(TextStyle)`
  - `StylesPackage.getTextStyleRegion_Style()`

### basicGetStyle

public TextStyle basicGetStyle()

### basicSetStyle

public org.eclipse.emf.common.notify.NotificationChain basicSetStyle(TextStyle newStyle, org.eclipse.emf.common.notify.NotificationChain msgs)

### setStyle

public void setStyle(TextStyle newStyle)

Specified by:
  `setStyle` in interface `TextStyleRegion`
Parameters:
  `newStyle` - the new value of the 'Style' containment reference.
See Also:
  - `TextStyleRegion.getStyle()`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`